Bug 1007605 - libpopt sensitivity to $POSIXLY_CORRECT nukes smbstatus option processing
libpopt sensitivity to $POSIXLY_CORRECT nukes smbstatus option processing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 18:54 EDT by Frank Ch. Eigler
Modified: 2016-07-19 06:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:22:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2013-09-12 18:54:28 EDT
As of rawhide samba 4.1rc (and far back as rhel5's samba 3),
compare & contrast:

% env -u POSIXLY_CORRECT   smbstatus --help
% env    POSIXLY_CORRECT=1 smbstatus --help

The latter ignores the --help option.  This is due to libpopt being
sensitive to that environment variable, (popt.c:195 as of popt 1.13).

Please consider explicitly unsetting the environment variable before
calling into libpopt.  Or fix (if there is a problem; dunno) the
smbstatus long-options to be sufficiently saintly to work even with
$POSIXLY_CORRECT.
Comment 1 Jaroslav Reznik 2015-03-03 10:03:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:22:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.